import { __exports as e } from "./index-url2.js";
var t;
function u() {
  if (t) return e;
  t = 1, Object.defineProperty(e, "__esModule", { value: !0 }), e.validateUrl = e.sanitizeUrl = void 0;
  const a = /* @__PURE__ */ new Set([
    "http:",
    "https:",
    "mailto:",
    "sms:",
    "tel:"
  ]);
  function n(r) {
    try {
      const o = new URL(r);
      if (!a.has(o.protocol))
        return "about:blank";
    } catch {
      return r;
    }
    return r;
  }
  e.sanitizeUrl = n;
  const i = new RegExp(/((([A-Za-z]{3,9}:(?:\/\/)?)(?:[-;:&=+$,\w]+@)?[A-Za-z0-9.-]+|(?:www.|[-;:&=+$,\w]+@)[A-Za-z0-9.-]+)((?:\/[+~%/.\w-_]*)?\??(?:[-+=&;%@.\w_]*)#?(?:[\w]*))?)/);
  function l(r) {
    return i.test(r);
  }
  return e.validateUrl = l, e;
}
export {
  u as __require
};
